DELETE Application/DeleteContact
Request Information
URI Parameters
None.
Body Parameters
Contact| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| FirstName | string |
Required |
|
| LastName | string |
Required |
|
| Name | string |
None. |
|
| CellNumber | string |
None. |
|
| WorkNumber | string |
None. |
|
| HomeNumber | string |
None. |
|
| string |
None. |
||
| PhysicalAddress | string |
None. |
|
| PostalAddress | string |
None. |
|
| Birthday | date |
None. |
|
| GenderID | Gender |
None. |
|
| ContactStatusID | ContactStatus |
Required |
|
| PhotoID | globally unique identifier |
None. |
|
| ExternalCode | string |
None. |
|
| Latitude | decimal number |
None. |
|
| Longitude | decimal number |
None. |
|
| IDNumber | string |
None. |
|
| PassportNumber | string |
None. |
|
| DisplayName | string |
None. |
|
| UseDisplayName | boolean |
Required |
|
| OptOutNotification | boolean |
Required |
|
| CreatedByContactID | globally unique identifier |
Required |
|
| ModifiedByContactID | globally unique identifier |
Required |
|
| CreatedDate | date |
Required |
|
| ModifiedDate | date |
Required |
Request Formats
application/json, text/json
Sample:
{
"id": "59e0b337-9165-425b-8890-419b11f3f44b",
"firstName": "sample string 2",
"lastName": "sample string 3",
"name": "sample string 4",
"cellNumber": "sample string 5",
"workNumber": "sample string 6",
"homeNumber": "sample string 7",
"email": "sample string 8",
"physicalAddress": "sample string 9",
"postalAddress": "sample string 10",
"birthday": "2026-06-12T23:00:14.143344+00:00",
"genderID": 1,
"contactStatusID": 1,
"photoID": "84ede08c-26b0-464a-9392-85b71504b9df",
"externalCode": "sample string 11",
"latitude": 1.1,
"longitude": 1.1,
"idNumber": "sample string 12",
"passportNumber": "sample string 13",
"displayName": "sample string 14",
"useDisplayName": true,
"optOutNotification": true,
"createdByContactID": "39cc8c9c-f6c5-455f-8a89-a3184c1e2184",
"modifiedByContactID": "1cb21d91-67b6-4483-9c91-e0819a7bddc4",
"createdDate": "2026-06-12T23:00:14.143344+00:00",
"modifiedDate": "2026-06-12T23:00:14.143344+00:00"
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServiceResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| Code | string |
None. |
|
| Response | ServiceItem |
None. |
|
| LatestDataTimestampUtc | date |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.